Sign up Sign in Samples Blog contact support
Installation not yet working on Rails 3

Support Ticket

closed
 
+issue

Hello,

 

I'm stuck at step 4. (Installation B)

 

After

rake gems:install --trace

 

i get this error:

 

(in /root/wagn)
rake aborted!
no such file to load -- initializer
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
/root/wagn/config/boot.rb:55:in `load_initializer'
/root/wagn/config/boot.rb:38:in `run'
/root/wagn/config/boot.rb:11:in `boot!'
/root/wagn/config/boot.rb:110
/root/wagn/Rakefile:4:in `require'
/root/wagn/Rakefile:4
/usr/lib/ruby/1.8/rake.rb:2149:in `load'
/usr/lib/ruby/1.8/rake.rb:2149:in `raw_load_rakefile'
/usr/lib/ruby/1.8/rake.rb:1897:in `load_rakefile'
/usr/lib/ruby/1.8/rake.rb:1948:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:1896:in `load_rakefile'
/usr/lib/ruby/1.8/rake.rb:1880:in `run'
/usr/lib/ruby/1.8/rake.rb:1948:in `standard_exception_handling'
/usr/lib/ruby/1.8/rake.rb:1878:in `run'
/usr/bin/rake:28

 

what do I wrong ??

 

I'm using Debian Lenny 5 64bit.

 

 

 
+discussion

The gem bootstrap leaves something to be desired.  This What_gems_do_I_need_and_what_version_should_they_be may be some help Gerry


ok, update.

I tried it on my Debian 6, clean install. (Installation B)

I installed ruby, rails, rake, mysql.

And I'm still stuck @ step4 and get the same error.

 

So I installed all Gems "What_gems_do_I_need_and_what_version_should_they_be" - but i get the error again :'(

 

Do I need the exact Version or can they be newer?

 

Thanks for helping me

  --CCK (Not signed in).....Tue Mar 15 14:12:30 -0700 2011


Ok I got it now.

I had rails V3 installed (not V2)

 

finally

 

thanks

 

/close

  --CCK (Not signed in).....Tue Mar 15 17:24:45 -0700 2011


What is your target date to support Rails3.1?

  --eidosabi (Not signed in).....Thu Sep 22 11:57:53 -0700 2011


We expect to support Rails 3 as of Wagn 1.8. We don't have a precise date, but it will certainly be out by the end of the year.

  --Ethan McCutchen.....Thu Sep 22 13:28:08 -0700 2011


Ethan - I see you've been hacking away at the development version getting it ready for Rails 3, and that you got all your tests passing back on the 20th (https://github.com/wagn/wagn/tree/develop). Are you at the point where you have a precise target date to release 1.8?

  --eidosabi.....Thu Dec 29 08:25:26 -0800 2011


We're getting very close.

 

I'm trying to get a "pre-release" version out by early next week. The biggest thing left for that is documentation; a few things about installation and upgrades have changed. I'm also going to add a few "clean-up" data migrations, but none of them are needed for sites to work. If all goes well the release should follow very shortly thereafter.

 

This release will be a little different from others in that we are not going to deploy on our old hosted servers at all, but rather migrate sites to new cloud servers as we go. So we're taking a little longer with preparations to make sure everything will go smoothly with the cloud deployments.

 

I'll be communicating a bunch with our mailing lists over the next couple of weeks.

  --Ethan McCutchen.....Thu Dec 29 11:46:22 -0800 2011


I'm looking forward to the 1.8 version and am really impressed with your consistently speedy responses!

  --eidosabi.....Thu Dec 29 20:02:16 -0800 2011